Bug 34553 - Stackoverflow when reordering tabs in a TabbedPage
Summary: Stackoverflow when reordering tabs in a TabbedPage
Status: RESOLVED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: iOS (show other bugs)
Version: unspecified
Hardware: PC Mac OS
: Low normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-10-05 06:53 UTC by David Pilkington
Modified: 2016-11-23 17:14 UTC (History)
3 users (show)

Tags: ac
Is this bug a regression?: ---
Last known good build:


Attachments
Sample project reproducing the issue (175.37 KB, application/zip)
2015-10-05 06:53 UTC, David Pilkington
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description David Pilkington 2015-10-05 06:53:15 UTC
I am aware of this bug

https://bugzilla.xamarin.com/show_bug.cgi?id=26228

but it as it was closed I thought that I would create a new one.

Reprod.

1. Open the attached app
2. Click the More menu
3. Click Edit to reorder 
4. Reorder some items
5. Close reordering
6. Try to navigate to a tab in the TabBar
7. App crashes with a StackOverflowException
Comment 1 David Pilkington 2015-10-05 06:53:47 UTC
Created attachment 13188 [details]
Sample project reproducing the issue
Comment 2 Samantha Houts [MSFT] 2016-10-12 21:56:35 UTC
Should be fixed in 2.3.4-pre1. Thank you!